<div class="host3d">
	<div class="py-2 px-sm-4 animate-flip">
		<div class="card border-secondary-light pet-glow-secondary">
			<div class="card-header text-secondary-dark ">
				<h2 class="text-center" i18n="card header@@searchHeader">Find product</h2>
			</div>
			<div class="card-body">
				<h5 class="card-title text-center" i18n="card body@@searchBody"> Look for products that suit your needs<br> 
					<strong>All parameters are optional.</strong>
				</h5>
			</div>
		</div>
	</div>
</div>
<div class="row mt-4 text-start animate-from-bottom">
	<div class="col">
		<form [formGroup]="searchMainForm" (ngSubmit)="onSubmit()">
	
			<div class="row mb-3">
				<div class="col">
					<label class="px-2 bg-secondary rounded-top text-tertiary-light" for="brand" i18n="label@@brand">Brand</label> 
					<select	class="form-select bg-light pet-main-diagonal-rounded border border-secondary-light pet-glow-secondary"
						id="brand" formControlName="brand">
						<option value=null i18n="opt@@anyBrand">--Any--</option>
						<option *ngFor="let selBrand of brands$ | async">{{ selBrand }}</option>
					</select>
				</div>
			</div>
	
			<div class="row mb-3">
				<div class="col">
					<label class="px-2 bg-secondary rounded-top text-tertiary-light" for="line" i18n="label@@line">Line</label>
					<select	class="form-select pet-main-diagonal-rounded"
						[ngClass]="{'bg-light border border-secondary-light pet-glow-secondary': !searchMainForm.get('line')?.disabled}"
						id="line" formControlName="line">
						<option value=null i18n="opt@@anyLine">--Any--</option>
						<option *ngFor="let line of lines">{{ line }}</option>
					</select>
				</div>
			</div>
	
			<div class="row mb-3">
				<div class="col">
					<label class="px-2 bg-secondary rounded-top text-tertiary-light" for="ing" i18n="label@@ingredient">Ingredient</label>
					<input type="text" class="form-control bg-light pet-main-diagonal-rounded border border-secondary-light pet-glow-secondary"
							id="ing" formControlName="ing" i18n-placeholder="@@partNamePlaceHolder" placeholder="Insert part of the name">
				</div>
			</div>
			
			<div class="row mb-3">
				<div class="col">
					<label class="px-2 bg-secondary rounded-top text-tertiary-light" for="comp" i18n="label@@component">Component</label>
					<input type="text" class="form-control bg-light pet-main-diagonal-rounded border border-secondary-light pet-glow-secondary"
						id="comp" formControlName="comp" i18n-placeholder="@@partNamePlaceHolder" placeholder="Insert part of the name">
				</div>
			</div>
			
			<div class="row mb-3">
				<div class="col-6">
					<label class="px-2 bg-secondary rounded-top text-tertiary-light" for="prodType" i18n="label@@prodType">Type</label>
					<select class="form-select bg-light pet-main-diagonal-rounded border border-secondary-light pet-glow-secondary"
						id="prodType" formControlName="prodType">
						<option *ngFor="let prodType of prodTypes" [ngValue]="prodType">{{ locProdTypes[prodType] }}</option>
					</select>
				</div>
	
				<div class="col-6">
					<label class="px-2 bg-secondary rounded-top text-tertiary-light" for="prodPackage" i18n="label@@prodPackage">Package</label>
					<select class="form-select bg-light pet-main-diagonal-rounded border border-secondary-light pet-glow-secondary"
						id="prodPackage" formControlName="prodPackage">
						<option *ngFor="let prodPackage of prodPackages" [ngValue]="prodPackage">{{ locProdPackages[prodPackage] }}</option>
					</select>
				</div>
			</div>

			<div class="row">
				<div class="col">
					<label class="px-2 bg-secondary rounded-top text-tertiary-light" i18n="label@@weight">Weight</label>
					<div class="row m-0">
						<div class="col pt-2 pet-main-diagonal-rounded bg-primary-lightest border border-secondary-light pet-glow-secondary">
				
							<div class="row">
								<div class="col mb-2 d-flex flex-column">
									<label class="me-auto px-2 bg-secondary rounded-top text-tertiary-light small" for="weightRange" i18n="label@@weightRange">Range</label>
									<div class="input-group pet-main-diagonal-rounded border border-secondary-light">
										<select class="form-select bg-light pet-main-diagonal-rounded shadow-none border-0" id="weightRange" [formControl]="weightRange">
											<option *ngFor="let range of weightRanges; let i=index" [value]="i">{{ range.name }}</option>
										</select>
									</div>
								</div>
							</div>
							
							<div class="row">
								
								<div class="col-6 mb-3 d-flex flex-column">
									<label class="me-auto px-2 bg-secondary rounded-top text-tertiary-light small" for="minWeight" i18n="label@@min">Min</label>
									<div class="input-group input-group-sm pet-main-diagonal-rounded border border-secondary-light">
										<input type="number" min="0" step="50" class="form-control bg-light pet-bottom-left-rounded shadow-none border-0"
											id="minWeight" formControlName="minWeight" i18n-placeholder="@@minWeightPlaceHolder" placeholder="--Any--" #minWeight>
										<span class="input-group-text border-0 p-1 pet-top-right-rounded">gr.</span>
									</div>
								</div>
								
								<div class="col-6 mb-3 d-flex flex-column">
									<label class="me-auto px-2 bg-secondary rounded-top text-tertiary-light small" for="maxWeight" i18n="label@@max">Max</label>
									<div class="input-group input-group-sm pet-main-diagonal-rounded border border-secondary-light">
										<input type="number" [min]="minWeight.value" max="20000" step="50" class="form-control bg-light pet-bottom-left-rounded shadow-none border-0"
											id="maxWeight" formControlName="maxWeight" i18n-placeholder="@@maxWeightPlaceHolder" placeholder="--Any--">
										<span class="input-group-text border-0 p-1 pet-top-right-rounded">gr.</span>
									</div>
								</div>
							
							</div>
						
						</div>
					</div>
				</div>
			</div>
	
			<div class="row mt-5">
        <div class="col d-flex justify-content-center">
          <button type="submit" class="btn btn-lg btn-primary-dark pet-btn-big border-primary-fluo pet-glow-dark-btn align-self-center"
          i18n="btn@@search" #searchBtn>Search</button>
        </div>
		  </div>
	
		</form>
	</div>
</div>